---
name: test.gjson.lib
description: Performs unit tests for the gjson library
keywords: [ general, json, unit test ]
---

# test.gjson.lib

Performs unit tests for the gjson library

=== "Command line"

    **test.gjson.lib**
    [**-u**]
    [**--verbose**]
    [**--quiet**]
    [**--qq**]
    [**--ui**]

    Example:

    ```sh
    test.gjson.lib
    ```

=== "Python (grass.script)"

    *grass.script.run_command*("***test.gjson.lib***",
        **flags**=*None*,
        **verbose**=*False*,
        **quiet**=*False*,
        **superquiet**=*False*)

    Example:

    ```python
    gs.run_command("test.gjson.lib")
    ```

## Parameters

=== "Command line"

    **-u**  
    &nbsp;&nbsp;&nbsp;&nbsp;Run all unit tests  
    **--help**  
    &nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
    **--verbose**  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    **--quiet**  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    **--qq**  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    **--ui**  
    &nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

=== "Python (grass.script)"

    **flags** : str, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Allowed values: *u*  
    &nbsp;&nbsp;&nbsp;&nbsp;**u**  
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Run all unit tests  
    **verbose**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **quiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **superquiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*

## DESCRIPTION

*test.gjson.lib* is a module dedicated for testing the gjson library.
This module is used by the testing framework to perform library tests.

## AUTHOR

Nishant Bansal

## SOURCE CODE

Available at: [test.gjson.lib source code](https://github.com/OSGeo/grass/tree/main/lib/external/parson/test)
([history](https://github.com/OSGeo/grass/commits/main/lib/external/parson/test))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
